Bug 120955 - Incorrect Fall-Over Transition that have Implemented in PowerPoint 2019
Summary: Incorrect Fall-Over Transition that have Implemented in PowerPoint 2019
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2018-10-27 10:54 UTC by Daniel
Modified: 2021-09-04 04:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Fall-Over Transition.pptx (56.35 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-10-27 10:54 UTC, Daniel
Details
Fall-ove Transition.pptx (58.59 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-12-04 14:08 UTC, Daniel
Details
Fall-over Transition.pptx (58.59 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-12-04 14:13 UTC, Daniel
Details
ION Purple Theme.pptx (693.90 KB, application/zip)
2019-06-05 09:56 UTC, Daniel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2018-10-27 10:54:07 UTC
Description:
3D Fall-Over Transition incorrect in Impress, just Fall Transition only in Impress

Steps to Reproduce:
Compare between LibreOffice and Microsoft PowerPoint 2016 or 2019
1. Open attachment file
2. Start slide show
3. Incorrect Transition

Actual Results:
It should be like 3D triplex into back fall-over transition like PowerPoint 2016

Expected Results:
Just Fall transition in Impress, not followed by PowerPoint 2016 or 2019


Reproducible: Always


User Profile Reset: No



Additional Info:
Add Fall-over Transition like PowerPoint 2016 or 2019
Comment 1 Daniel 2018-10-27 10:54:48 UTC
Created attachment 146059 [details]
Fall-Over Transition.pptx
Comment 2 Xisco Faulí 2018-12-03 15:32:53 UTC
I can't reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: 1ee8d4f63adf3113a4733a479c8faf9eb65f7b8d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 3 Daniel 2018-12-04 14:06:22 UTC
(In reply to Xisco Faulí from comment #2)
> I can't reproduce it in
> 
> Version: 6.3.0.0.alpha0+
> Build ID: 1ee8d4f63adf3113a4733a479c8faf9eb65f7b8d
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> Could you please try to reproduce it with a master build from
> http://dev-builds.libreoffice.org/daily/master/ ?
> You can install it alongside the standard version.
> I have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' if the bug is still present in the master build

Have you ever tried another version to reproduce it by using previous version like 3.x, 4.x, 5.x even 6.0.x? I'm also cannot reproduce it too (It should reproduced). I try to updated to re-upload sample file.
Comment 4 Daniel 2018-12-04 14:08:48 UTC
Created attachment 147276 [details]
Fall-ove Transition.pptx
Comment 5 Daniel 2018-12-04 14:13:14 UTC
Created attachment 147277 [details]
Fall-over Transition.pptx

Updated attachment
Comment 6 Xisco Faulí 2019-06-04 14:06:41 UTC
Hello Daniel,
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 7 Daniel 2019-06-05 09:48:08 UTC
(In reply to Xisco Faulí from comment #6)
> Hello Daniel,
> A new major release of LibreOffice is available since this bug was reported.
> Could you please try to reproduce it with the latest version of LibreOffice
> from https://www.libreoffice.org/download/libreoffice-fresh/ ?
> I have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' if the bug is still present in the latest version.

Hi Xisco, sorry to reply lately. I have download it and test to reproduce it, but the bug is still present and incorrect smoothly like PowerPoint 2019 because the transition is Fall Over back into left and right. So the slide transition it's work but it's incorrect fall-over front, not back smoothly like PowerPoint 2019. By the way, I have another sample pptx that I have saved default by the latest PowerPoint 2019 v1905, but it's still incorrect Fall-over transition. I set back to "Unconfirmed".
Comment 8 Daniel 2019-06-05 09:56:45 UTC
Created attachment 151923 [details]
ION Purple Theme.pptx

Another sample pptx that using fall-over transition
Comment 9 Buovjaga 2019-09-04 05:48:30 UTC
(In reply to Daniel from comment #7)
> Hi Xisco, sorry to reply lately. I have download it and test to reproduce
> it, but the bug is still present and incorrect smoothly like PowerPoint 2019
> because the transition is Fall Over back into left and right. So the slide
> transition it's work but it's incorrect fall-over front, not back smoothly
> like PowerPoint 2019. By the way, I have another sample pptx that I have
> saved default by the latest PowerPoint 2019 v1905, but it's still incorrect
> Fall-over transition. I set back to "Unconfirmed".

Confirmed, it is falling to the wrong direction (tested with MSO 365).

Version: 6.4.0.0.alpha0+ (x64)
Build ID: fd67c89e52441387dffab1c788007271e717571b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-03_06:15:20
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 10 QA Administrators 2021-09-04 04:01:23 UTC
Dear Daniel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug